Package twisted :: Package protocols :: Module sip :: Class DigestAuthorizer

[frames | no frames]

## Class DigestAuthorizer

Method Summary
| `__init__(self)`
| `decode(self, response)`
| `generateNonce(self)`
| `generateOpaque(self)`
| `getChallenge(self, peer)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.sip.IAuthoriz...`
`int` | `CHALLENGE_LIFETIME` = 15

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.sip.IAuthorizer at 0x88c420c>,)

### CHALLENGE_LIFETIME

  Type:
    `int`
  Value:

        15

Generated by Epydoc 2.0 on Sat May 15 20:08:56 2004 | http://epydoc.sf.net